package com.chy.borrow.entity;

import com.chy.borrow.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author 沈晔浩
 * @since 2022-03-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("jygl.borrow_apply")
public class BorrowApply extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId("borrow_apply_id")
    private String borrowApplyId;

    @TableField("tmp_code")
    private String tmpCode;

    @TableField("project_code")
    private String projectCode;

    @TableField("apply_user_id")
    private String applyUserId;

    @TableField("apply_time")
    private Date applyTime;

    @TableField("data_range")
    private String dataRange;

    @TableField("borrow_deadline")
    private String borrowDeadline;

    @TableField("apply_reason")
    private String applyReason;

    @TableField("deadline_materials")
    private String deadlineMaterials;

    @TableField("borrow_data")
    private String borrowData;

    @TableField("borrow_status")
    private String borrowStatus;


}
