package com.chy.borrow.entity;

import com.chy.borrow.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author 沈晔浩
 * @since 2022-04-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("jygl.borrow_download")
public class BorrowDownload extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableField("borrow_apply_id")
    private String borrowApplyId;

    @TableId("id")
    private String id;

    @TableField("download_name")
    private String downloadName;

    @TableField("download_type")
    private String downloadType;

    @TableField("download_file_type")
    private String downloadFileType;

    @TableField("download_remark")
    private String downloadRemark;

    @TableField("download_time")
    private Date downloadTime;

    @TableField("download_staus")
    private String downloadStaus;

    @TableField("download_url")
    private String downloadUrl;


}
