package com.chy.borrow.entity;

import com.chy.borrow.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author 沈晔浩
 * @since 2022-03-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("jygl.borrow_examine_zjl0754")
public class BorrowExamineZjl0754 extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId("borrow_examine_id")
    private String borrowExamineId;

    @TableField("borrow_apply_id")
    private String borrowApplyId;

    @TableField("examine_type")
    private String examineType;

    @TableField("examine_opinion")
    private String examineOpinion;

    @TableField("examine_status")
    private String examineStatus;

    @TableField("transfer_unit")
    private Integer transferUnit;


    @TableField("is_need_more")
    private Integer isNeedMore;


    @TableField("examine_time")
    private Date examineTime;


}
