package com.chy.borrow;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.context.annotation.ComponentScan;

/**
 * @author ：沈晔浩
 * @date ：Created in 2022/3/8 9:34
 * @description：启动类
 */

@SpringBootApplication
@ComponentScan({"com.chy.borrow.*"})
@MapperScan("com.chy.**.mapper")
public class BorrowWebApplication extends SpringBootServletInitializer {

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder builder){
        return builder.sources(BorrowWebApplication.class);
    }

    public static void main(String[] args) {
        SpringApplication.run(BorrowWebApplication.class,args);
    }
}
