package com.chy.borrow.entity;

import com.chy.borrow.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author 沈晔浩
 * @since 2022-03-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("ptgl.t_unit")
public class TUnit extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId("id")
    private Integer id;

    /**
     * 节点名称
     */
    @TableField("name")
    private String name;

    /**
     * 节点描述
     */
    @TableField("des")
    private String des;

    /**
     * 父节点编号
     */
    @TableField("parent_id")
    private Integer parentId;


}
