package com.chy.borrow.entity;

import com.chy.borrow.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDate;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 临时编号
 * </p>
 *
 * @author 沈晔浩
 * @since 2022-03-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("jygl.tmp_code")
public class TmpCode extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId("tmp_code")
    private String tmpCode;

    @TableField("project_code")
    private String projectCode;

    @TableField("apply_user_id")
    private String applyUserId;

    @TableField("apply_reason")
    private String applyReason;

    @TableField("apply_time")
    private Date applyTime;

    @TableField("imgs_url")
    private String imgsUrl;

    @TableField("state")
    private String state;

    @TableField("check_info")
    private String checkInfo;


}
