package com.chy.borrow.mapper;

import com.chy.borrow.entity.BorrowExamineZjl0754;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 沈晔浩
 * @since 2022-03-25
 */
@Repository
public interface BorrowExamineZjl0754Mapper extends BaseMapper<BorrowExamineZjl0754> {

    Integer hasChecked(@Param("borrowApplyId") String borrowApplyId, @Param("examineType") String examineType);

    List<Map> getCheckById(@Param("borrowApplyId")String borrowApplyId, @Param("examineType") String examineType);
}
