package com.chy.borrow.service.impl;

import com.chy.borrow.entity.TUnit;
import com.chy.borrow.mapper.TUnitMapper;
import com.chy.borrow.service.TUnitService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 沈晔浩
 * @since 2022-03-28
 */
@Service
public class TUnitServiceImpl extends ServiceImpl<TUnitMapper, TUnit> implements TUnitService {

    @Autowired
    TUnitMapper tUnitMapper;

    @Override
    public List<TUnit> getList() {
        List<TUnit> list = tUnitMapper.getList();
        return list;
    }
}
